/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008-2009 Bull S.A.S.
 * Copyright (C) 2008-2009 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JadortServiceException.java 4063 2009-06-18 08:15:08Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.api;

/**
 * This class defines exceptions that are thrown by the JaDOrT service's
 * business methods. All other exceptions that are thrown are from the EJB
 * container or due to internal programming errors.
 * 
 * @author Malek Chahine
 * @author Remy Bresson
 * @author S. Ali Tokmen
 */
public class JadortServiceException extends Exception {

    /**
     * Auto-generated serial version ID.
     */
    private static final long serialVersionUID = -1686185730924664106L;

    /**
     * Generic JaDOrT service exception.
     * 
     * @param message Exception message.
     * @param cause Exception's cause.
     */
    public JadortServiceException(final String message, final Exception cause) {
        super(message, cause);
    }

}
